Module java.base
Package java.util

# Class FormatFlagsConversionMismatchException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.util.IllegalFormatException
java.util.FormatFlagsConversionMismatchException

All Implemented Interfaces:
  `Serializable`

    public class FormatFlagsConversionMismatchException
    extends IllegalFormatException

Unchecked exception thrown when a conversion and flag are incompatible.

Unless otherwise specified, passing a `null` argument to any method or constructor in this class will cause a `NullPointerException` to be thrown.

Since:
  1.5
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`FormatFlagsConversionMismatchException​(String f, char c)` | Constructs an instance of this class with the specified flag and conversion.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`char` | `getConversion()` | Returns the incompatible conversion.
`String` | `getFlags()` | Returns the incompatible flag.

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FormatFlagsConversionMismatchException

public FormatFlagsConversionMismatchException​(String f, char c)
Constructs an instance of this class with the specified flag and conversion.

Parameters:
  `f` - The flag
  `c` - The conversion

## Method Details

### getFlags

public String getFlags()
Returns the incompatible flag.

Returns:
  The flag

### getConversion

public char getConversion()
Returns the incompatible conversion.

Returns:
  The conversion